### Method

# Gio DBusMessage set_unix_fd_list

since: 2.26

#### Declaration [src]

    void
    g_dbus_message_set_unix_fd_list (
      GDBusMessage* message,
      GUnixFDList* fd_list
    )

#### Description [src]

Sets the UNIX file descriptors associated with `message`. As a side-effect the `G_DBUS_MESSAGE_HEADER_FIELD_NUM_UNIX_FDS` header field is set to the number of fds in `fd_list` (or cleared if `fd_list` is `NULL`).

This method is only available on UNIX.

When designing D-Bus APIs that are intended to be interoperable, please note that non-GDBus implementations of D-Bus can usually only access file descriptors if they are referenced by a value of type `G_VARIANT_TYPE_HANDLE` in the body of the message.

Available since: 2.26

#### Parameters

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.